Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981023 - No scale marking for CPU history graph
Summary: No scale marking for CPU history graph
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor
Version: 19
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-03 19:40 UTC by Russell Doty
Modified: 2015-02-17 15:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 15:49:40 UTC


Attachments (Terms of Use)
disappeared_lines_different_colors (deleted)
2013-08-16 13:15 UTC, Rolle
no flags Details
all_lines_visible_and_one_background-color (deleted)
2013-08-16 13:17 UTC, Rolle
no flags Details
all_lines_visible_and_different_background-colors (deleted)
2013-08-16 13:18 UTC, Rolle
no flags Details
Xorg.0.log (deleted)
2013-08-21 10:46 UTC, Rolle
no flags Details

Description Russell Doty 2013-07-03 19:40:01 UTC
Description of problem:

No scale marking or bounding box for CPU history graph.


Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. Start System Monitor
2. Select Resources tab
3.

Actual results:

CPU History graph does not include a bounding box or scale indications - all you see is the individual CPU usage lines with no context.


Expected results:

CPU utilization lines in a bounding box with horizontal lines showing cpu utilization level.

Note: the Network History in the same display includes a bounding box and horizontal lines showing network utilization.


Additional info:

Comment 1 Rolle 2013-08-16 13:14:22 UTC
The same here.
Fedora 19. Gnome 3.8.
But this happens very often, not every time. In some situations the scale marking and lines disappear for the cpu section and also sometimes the mem and network sections.
If I resize the window the markers and lines are also visible but very often it disappear again after some time.
A further problem (maybe the same reason) is the background-color of the cpu/mem/network-sections. This background is white and the rest of the window-background is light gray (near white). Is this the right behavious? Is it the same problem?

When the marker and lines disappear the background-color of the whole window is the same, also in the area of cpu/mem/network sections.

I have 3 pictures with different combinations of disappeared marks/lins and background-colors attached.

Comment 2 Rolle 2013-08-16 13:15:55 UTC
Created attachment 787241 [details]
disappeared_lines_different_colors

Comment 3 Rolle 2013-08-16 13:17:31 UTC
Created attachment 787242 [details]
all_lines_visible_and_one_background-color

Comment 4 Rolle 2013-08-16 13:18:15 UTC
Created attachment 787243 [details]
all_lines_visible_and_different_background-colors

Comment 5 Rolle 2013-08-21 08:25:57 UTC
lspci -nn |grep -i vga
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Caicos [Radeon HD 6450/7450/8450] [1002:6779]

Comment 6 Rolle 2013-08-21 10:46:46 UTC
Created attachment 788816 [details]
Xorg.0.log

Comment 7 Christian Stadelmann 2013-08-31 10:37:43 UTC
Same here on an Intel iGPU:
~~~~~
lspci -nn | grep -i vga
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0042] (rev 12)
~~~~~

Comment 8 Jyrki Tikka 2013-09-18 23:36:05 UTC
This happens every time the window is brought to the front and redrawn. Resising the window in any way brings the lines and texts back.

Fedora 19, Gnome 3.8
VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV620 LE [Radeon HD 3450]

Comment 9 Christian Stadelmann 2013-11-26 11:20:37 UTC
This bug is not present (i.e.: fixed) in Fedora 20 / Gnome 3.10

Comment 11 Fedora End Of Life 2015-01-09 18:38:52 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-02-17 15:49:40 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.